Updated HassOS to 3.10 and now all zwave devices are listed as unavailable

Tags: #<Tag:0x00007f780ef72fa0>

Hi,
I encounter the problem on the subject and have solved it - I’m posting the details here if someone else gets it.
Though similar to the problem presented by @alteredstate Updated Hass.io And Now All Zwave Devices Are Listed As Unavailable, my problem and solution were different.

Details:
RPi 3B+ with SSD and UZB Zwave disk
Hassio 105.3
Upgarding to HassOS 3.10 (I think from 3.6…)

After reboot, all zwave devices are unavailable.

Developer tools -> log:

2020-02-14 08:54:51 ERROR (MainThread) [homeassistant.config_entries] Error setting up entry Z-Wave for zwave
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/openzwave/option.py", line 78, in __init__
    raise ZWaveException(u"Can't find device %s : %s" % (device, traceback.format_exception(*sys.exc_info())))
openzwave.object.ZWaveException: "Zwave Generic Exception : Can't find device /dev/ttyACM0 : ['NoneType: None\\n']"

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/config_entries.py", line 215, in async_setup
    hass, self
  File "/usr/src/homeassistant/homeassistant/components/zwave/__init__.py", line 369, in async_setup_entry
    config_path=config.get(CONF_CONFIG_PATH),
  File "/usr/local/lib/python3.7/site-packages/openzwave/option.py", line 81, in __init__
    raise ZWaveException(u"Error when retrieving device %s : %s" % (device, traceback.format_exception(*sys.exc_info())))
openzwave.object.ZWaveException: 'Zwave Generic Exception : Error when retrieving device /dev/ttyACM0 : [\'Traceback (most recent call last):\\n\', \'  File "/usr/local/lib/python3.7/site-packages/openzwave/option.py", line 78, in __init__\\n    raise ZWaveException(u"Can\\\'t find device %s : %s" % (device, traceback.format_exception(*sys.exc_info())))\\n\', \'openzwave.object.ZWaveException: "Zwave Generic Exception : Can\\\'t find device /dev/ttyACM0 : [\\\'NoneType: None\\\\\\\\n\\\']"\\n\']'

The hint was the part saying “Zwave Generic Exception : Can’t find device /dev/ttyACM0

Supervisor -> System -> Hardware:

  • serial:
    • /dev/ttyAMA0
    • /dev/ttyACM1
    • /dev/serial/by-id/usb-0658_0200-if00

The path of the zwave UZB has been changed!! from /dev/ttyACM0 to /dev/ttyACM1

Solution:

Change the usb_path value in the zwave entry on the \config.storage\core.config_entries file to be “/dev/ttyACM1”.

Save, restart and Voila :smiley:

I hope it helped someone…

I would suggest to use ‘/dev/serial/by-id/usb-0658_0200-if00’ instead of ttyACM0 or ttyACM1. That way it doesn’t matter if it changes ports, the stick will work.

Good tip, thanks.
Apart from error and trial, how can you know it’s the uzb and not the ssd?